allow single function call in "use" : e.g. "Use NewFractionField(R);"

18 Jun 2013 10:37 - Anna Maria Bigatti

Status: New Start date: 18 Jun 2013

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Parser/Interpreter Estimated time: 0.00 hour

Target version: CoCoA-5.?.? Spent time: 0.00 hour

Description

After "use" the interpreter expectes the special poly ring constructor, such as QQ[x,y], with the unconventional meaning of the square

brackets and interpretation of, x and y.

In this context round brackets are only allowed for writing ZZ/(3).

Now, whereas in general it is indeed ambiguous at parsing level, as in

Use NewQuotientRing(R,I)[X];  -- the ring R/I[X]?

Use ListOfRings(A,B)[n];  -- the n-th element in the list?

Use Func(A)[w]; -- ????

a single function call is not, as in

Use NewFractionField(R);

It would be very handy.  How difficult is it to implement?

Related issues:

Related to CoCoA-5 - Feature #657: use command, ring syntax, RingOf New 20 Jan 2015

History

#1 - 09 Apr 2014 17:31 - John Abbott

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.1.1 Seoul14

#2 - 02 Sep 2014 11:14 - John Abbott

- Target version changed from CoCoA-5.1.1 Seoul14 to CoCoA-5.?.?

#3 - 20 Oct 2020 18:15 - John Abbott

- Related to Feature #657: use command, ring syntax, RingOf added
